Svenska 3D-Tåg - Forum  
 

Om det här är ditt första besök, se till att gå till vår FAQ (finns även länk till FAQ i navigeringsmenyn ovan). Du kan behöva att registrera dig innan du kan posta (finns även en länk till registrering i navigeringsmenyn ovan). För att titta på inlägg, välj det forum som du vill besöka från de som är listade nedan.

Gå tillbaka   Svenska 3D-Tåg - Forum > Auran Trainz > Scenarios och scripts

Svara
 
Ämnesverktyg Visningsalternativ
Gammal 2019-08-22, 11:48   #1
api7qg
Medlem
 
Reg.datum: Jan 2013
Ort: Uppsala
Inlägg: 11
Standard För gammal "build" vid nedladdning

Hej alla tappra Trainz-vänner!

efter att va varit borta från Trainz-världen ett bra tag (Märklin är oxå kul....) så fick jag ett återfall i går eftermiddag. Efter att ha laddat ned och installerat samt laddat hem en väldig massa fint material (som många av er tagit fram, TACK!!) så var det dags att starta TANE.
Jag hade iofs TANE sedan tidigare, men eftersom det strulade sist och jag ville ha en "clean" start så köpte jag och laddade ned spelet på nytt (korkat, jag vet....men i alla fall) för att börja om från noll.

Det visar sig dock nu att jag får felindikationer på väldigt mycket, en hel del verkar bero på att tex STL Trainz monitor, STL Script Library mfl inte fungerade. Min första tanke var att dessa inte var kompatibla med MAC, men efter att ha rotat vidare (view errors and warnings) så får jag följande meddelande:
"This asset has a trainz-build number which is not recognised by this tool"

Vissa gånger får jag meddelandet "This asset dont support builds below 3.5"

Är det någon som har någon idé om hur jag kommer runt detta?

/Stefan (återfallsförbrytare....)
api7qg besöker inte forumet just nu  
Svara med citat
Gammal 2019-08-22, 15:27   #2
blomsson
Medlem
 
Reg.datum: Jul 2011
Ort: Vingåker
Inlägg: 263
Standard

Hej, kul med en Mac-användare till!

Det finns ingen skillnad mellan Mac och PC när det kommer till om en asset fungerar eller ej, utan det handlar i så fall om specifika skillnader i operativsystem. Tyvärr finns det många sådana i Mac-versionen när N3V inte följer Apples "Human Guidelines" i det "Blåa Trainz".

Jag kan nästan (bäst med en liten brasklapp) lova att inga utav de meddelanden du får i Trainz är beroende på att du har Mac, möjligtvis några, men drabbar knappast en användare som inte plågar sig med programmering!

Varningar kan man normalt sett ignorera.

Felmeddelandet:
"This asset has a trainz-build number which is not recognised by this tool",
betyder att du har installerat en asset med ett Trainz build-number (version) som är högre än vad din version av Trainz känner igen.

Om du har uppdaterat till senaste versionen av T:ANE ska den vara SP2 och ha nummer 4.5, icke att förväxla med det build nummer, som hos mig är 95078 och som är olika beroende på plattform, distributionssätt och säkert något mer.
Det mindre numret (t.ex. 4.5) talar om vilka "regler" som fungerar vid vilken version, t.ex. vilka material som är giltiga hos objekt, funktioner som finns i script osv.

Dock så har jag inte lyckats hitta var Trainz-build nummret står, men det är ganska lätt att ta reda på ändå!

Skapa ett nytt objekt i Content Manager -> Meny -> Developer -> New Content.
Leta sedan reda på objektet i Content Manager via knappen "Manager Content".
En ny Asset skapas alltid med det gällande Trainz-build numret för din version av Trainz.
Under fliken Build syns numret, går ju också att se i Config filen i Finder.

Bild från Content Manager med mina valda flikar.
1 CM.jpg

Om man högerklickar på en rad i CM kommer följande meny upp:
2 CM höger.jpg
Här kan man välja olika saker, om man väljer "Edit Config File Text".

Öppnas config filen i valt program, hos mig Textredigeraren (Notepad hos PC).
En del av congig filen ser ut så här hos mig!
3 Config.jpg

mvh
Håkan
__________________
Fd. signalreparatör på Banverket. Sjukpensionär bla pga Aspergers syndrom.
Använder numera T:ANE på en iMac (Retina, 27", -15), 24GB, OSX Sierra 10.12.6 (25/9-17)
Hemsida för nedladdning av mina objekt: https://blomsson4073.se/index.html
blomsson besöker forumet just nu   Svara med citat
Gammal 2019-08-22, 23:39   #3
api7qg
Medlem
 
Reg.datum: Jan 2013
Ort: Uppsala
Inlägg: 11
Standard

Tack för assistansen! Har nu laddat ned en del patcher osv och det hela verkar fungera. Ytterligare en fråga (kanske i fel forumdel..) Om jag vill försvenska en bana och vill ändra från Imperial till Metric-värden, är det möjligt? Kan man ändra från mph till km/h? Jag testade att skapa en egen liten "ruta" med settings Germany och göra en merger med det verkade inte fungera..
api7qg besöker inte forumet just nu   Svara med citat
Svara

Ämnesverktyg
Visningsalternativ

Regler för att posta
Du får inte posta nya ämnen
Du får inte posta svar
Du får inte posta bifogade filer
Du får inte redigera dina inlägg

BB-kod är
Smilies är
[IMG]-kod är
HTML-kod är av
Forumhopp



Alla tider är GMT +2. Klockan är nu 21:41.


Powered by vBulletin® Version 3.7.5
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
Svensk översättning av: Anders Pettersson
© Svenska 3D-Tåg 2001-2009